DGH 2.1 is compatible with LC 8.x

Moderators: heatherlaine, kevinmiller, robinmiller, Zryip TheSlug

DGH 2.1 is compatible with LC 8.x

Postby Zryip TheSlug » Tue Nov 29, 2016 4:41 pm

Dear DGH Users,

I'm replying here to a recurrent question I'm receiving in my email box.

Yes DGH is still active and its last version (2.1) is compatible with LC 8.x. Plus, we done good tests with LC 9.x as well to say DGH is also compatible with this version.

We are not really active on our own forum, but be assured DGH will be updated if necessary to support the future LiveCode versions.

By the way, in October we have added a new Lessons for DGH, so yes DGH is definitely alive! Spread the word! :)
http://lessons.livecode.com/m/4068/l/64 ... -in-a-form



Best Regards,
TheSlug
http://www.aslugontheroad.com - Tutorials, demo stacks and plugins for LiveCode
Data Grid Helper - An intuitive interface for building LiveCode's Data Grids
Excel Library- Extends the LiveCode language for controlling MS Excel
Zryip TheSlug
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 118
Joined: Tue Jan 26, 2010 10:15 pm

Re: DGH 2.1 is compatible with LC 8.x

Postby FourthWorld » Tue Nov 29, 2016 5:44 pm

Zryip TheSlug wrote:Yes DGH is still active and its last version (2.1) is compatible with LC 8.x. Plus, we done good tests with LC 9.x as well to say DGH is also compatible with this version.

Thanks for the update. One of the regulars at our local LiveCode User Group demoed DGH recently and it's pretty cool, very useful. I appreciate the time you've spent here maintaining its compatibility going forward.
Richard Gaskin
Community volunteer LiveCode Community Liaison

LiveCode development, training, and consulting services: Fourth World Systems: http://FourthWorld.com
LiveCode User Group on Facebook : http://FaceBook.com/groups/LiveCodeUsers/
FourthWorld
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 5192
Joined: Sat Apr 08, 2006 7:05 am
Location: Los Angeles

Re: DGH 2.1 is compatible with LC 8.x

Postby Klaus » Tue Jun 13, 2017 6:21 pm

Hi Zyrip,

after a long time I opened the DGH today in LC 8.1.4 and LC 9 dp6.
Hmmm, I am sure it should look very different, see screenshot, I can only scroll vertically!?
Any known incompoatibilities?

Any hints welcome, thanks!


Best

Klaus
Bildschirmfoto 2017-06-13 um 19.18.36.jpg
Klaus
 
Posts: 9277
Joined: Sat Apr 08, 2006 8:41 am
Location: Germany

Re: DGH 2.1 is compatible with LC 8.x

Postby mrcoollion » Thu Jun 15, 2017 5:39 pm

I have been using DG Helper for a while and it does save me a lot of time.
just tested it with LC 8.1.4 and it works as expected.

Regards,

Paul
mrcoollion
 
Posts: 188
Joined: Thu Sep 11, 2014 1:49 pm
Location: The Netherlands

Re: DGH 2.1 is compatible with LC 8.x

Postby Klaus » Fri Jun 16, 2017 11:00 am

Good for you! :D
Klaus
 
Posts: 9277
Joined: Sat Apr 08, 2006 8:41 am
Location: Germany

Re: DGH 2.1 is compatible with LC 8.x

Postby matthiasr » Sat Jun 17, 2017 1:03 am

I saw exact the same. Several times now. I´ve reinstalled a backup copy of the ASG_DataGrid_Helper 2.1.rev file and it worked again.

I have no idea what is causing this. But at least i got it back working.

Matthias
matthiasr
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 46
Joined: Sat Apr 08, 2006 7:55 am
Location: Lübbecke, Germany

Re: DGH 2.1 is compatible with LC 8.x

Postby Zryip TheSlug » Sun Jun 18, 2017 10:23 am

Dear DGH Users,

I'm aware of the problem. The properties palette is using a datagrid composed by visibles and invisibles columns. In some cases I have not identified yet, all the columns become visible causing the issue illustrated by the Klaus' Screenshot. As explained by Matthias, reinstalling DGH from a fresh copy is solving the issue, at least until next time.

I have tried to identify what could be the cause of the problem, without success. My second option is to refresh the visibility of all the columns every time we are launching DGH but this solution is giving no satisfaction as the issue seems to be outside of DGH. I would have preferred to identify the cause and fill a report to the Team.


Thanks for the report.
TheSlug
http://www.aslugontheroad.com - Tutorials, demo stacks and plugins for LiveCode
Data Grid Helper - An intuitive interface for building LiveCode's Data Grids
Excel Library- Extends the LiveCode language for controlling MS Excel
Zryip TheSlug
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 118
Joined: Tue Jan 26, 2010 10:15 pm

Re: DGH 2.1 is compatible with LC 8.x

Postby Klaus » Sun Jun 18, 2017 8:25 pm

Thanks for the info!

Will de- and re-install DGH later and see what happens. :D
Klaus
 
Posts: 9277
Joined: Sat Apr 08, 2006 8:41 am
Location: Germany


Return to Data Grid Helper

Who is online

Users browsing this forum: No registered users and 1 guest